package com.hello2morrow.foundation.utilities;

class SectionedDataTest extends GroovyTestCase
{
    public void testParsing()
    {
        def content = """
Ignored
[Section A]
A content
 Line
[SectionB]
"""
        
        SectionedData sections = SectionedData.fromString(content)
        assertEquals(2, sections.size())
        assertEquals("A content\n Line\n", sections.getRawContent("Section A"))
        assertEquals(0, sections.getRawContent("SectionB").length())
    }
    public void testBadFile()
    {
        def result = SectionedData.fromFile("DoesNotExist")
        
        assertNull(result)
    }
}
